# Ukui Control Center
## Overview
Ukui Control Center provides a friendly graphic interface to set the system. As shown in Fig 1.

![Fig 1 Ukui Control Center-big](image/1.png)
<br>

## System
### Display
As shown in Fig 2.

![Fig 2 Display-big](image/2.png)

- monitor：Select current monitor.

- resolution, orientation, refresh rate, screen zoom are all for the current active monitor.

- screen zoom to global zoom.

- night mode has the functions of adjusting color temperature and customizing the night mode time period.

### Audio
As shown in Fig 3.

![Fig 3 Audio-big](image/3.png)

### Power
As shown in Fig 4.

![Fig 4 Audio-big](image/4.png)

### Notice
As shown in Fig 5.

![Fig 5 Notice-big](image/5.png)

### Vino
As shown in Fig 6.

![Fig 6 Vino](image/6.png)

### About
As shown in Fig 4.

![Fig 7 About-big](image/7.png)

<br>

## Devices
### Printer
Provide an entry to add printers or scanners. 

![Fig 9 Printer-big](image/9.png)

### Mouse
As shown in Fig mouse.

![Fig mouse Mouse-big](image/mouse.png)

### Keyboard
As shown in Fig keyboard.

![Fig keyboard Keyboard-big](image/keyboard.png)

### Shortcut
As shown in Fig 13.

![Fig 13 Shortcut-big](image/13.png)

<br>

## Network
### WiredConnect
As shown in Fig 15.

![Fig 15 WiredConnect-big](image/37.png)

### WlanConnect
As shown in Fig 16.

![Fig 16 WlanConnect-big](image/38.png)

### Proxy
As shown in Fig 17.

![Fig 17 Proxy-big](image/14.png)

### Vpn
As shown in Fig 18.

![Fig 18 Vpn-big](image/15.png)

<br>

## Personalized
### Background
As shown in Fig 20.

![Fig 20 Background-big](image/16.png)

### Theme
- Theme Mode:

![Fig 21-1 Theme mode](image/17.png)

- Icon theme and cursor theme:

![Fig 21-2 Icon&cursor theme](image/18.png)

### Screenlock
As shown in Fig 22.

![Fig 22 Screenlock-big](image/20.png)

### Screensaver
As shown in Fig 23.

![Fig 23 Screensaver-big](image/21.png)

### Fonts
As shown in Fig 24.

![Fig 24 Fonts-big](image/22.png)

<br>

## Account
### User Info
![Fig 25-1 Account-big](image/23.png)
#### Current User
- Change User Face: Click user's face can change it.

![Fig 25-2 Change face](image/24.png)

- Change Password: Click "Password" to modify the current user's password.

![Fig 25-3 Change password](image/25.png)

- Change Account Type: administrator -- can elevated permission temporarily; standard user -- can't elevated permission.

![Fig 25-4 Change account type](image/26.png)

#### Other Users
Administrator can modify other user's information, add new user, etc..

- Add new user

-Password complexity requirements(Password strength can be customized through security neutrality):

1. The user password cannot contain illegal characters ("'" and non-standard characters);

2. The minimum password length is 8;

3. The password shall contain at least two types of characters;

4. The password must not contain the user name;

5. It is forbidden to use palindrome in password;

6. Enable password similarity check (detect when modifying password);

7. Enable password dictionary;

8. The validity period of the password is unlimited;

![Fig 25-5 Add new user](image/27.png)

<br>

## Datetime
### Date
As shown in Fig 28:

![Fig 28 Datetime-big](image/29.png)

### Area
As shown in Fig 29:

![Fig 29 Area-big](image/30.png)

<br>

## Application
### Auto Boot 
As shown in Fig 33:

![Fig 33 Autoboot-big](image/34.png)

### Default App
As shown in Fig 34:

![Fig 34 Defaultapp-big](image/35.png)

## Investigation

### Search
As shown in Fig 35:

![Fig 35 Search-big](image/36.png)
