# 设置
## 概 述
设置提供了一个友好的图形用户界面，用于对操作系统常用配置项进行管理。主界面如图所示。

![图 1 设置-big](image/ukcc.png)

<br>

## 系 统
系统配置设置提供了显示器、声音、通知、电源、远程桌面、关于六个模块。

### 显示器
显示器可以配置显示相关的设置，上方彩色矩形代表当前屏幕，中间显示了显示器名称及接口名，如图所示。

![图 2 显示器设置-big](image/display.png)

- 显示器：选择当前显示器
- 分辨率、方向、刷新率、缩放屏幕的修改都是针对当前活动显示器
- 屏幕缩放为全局缩放，可以设置的缩放项与屏幕当前的分辨率有关，具体如下：

| 分辨率宽度w | 最大缩放 |
| :---: | :---: |
| （0,1080] | 100% |
| (1080,1920) | 125% |
| 1920 | 150% |
| (1920,2560] | 200% |
| (2560,3072] | 225% |
| (3072,3840) | 250% |
| 3840+ | 275% |

- 夜间模式具有调整色温度、夜间模式自定义时间段打开/关闭

### 声 音
对输入、输出和系统音效进行设置，如图所示。

![图 3 声音-big](image/audio.png)

- 选择输出设备：输出设备是获取声卡选择的输出配置文件生成的，可以点击下拉框查看当前系统可用的输出设备，可根据需要切换的对应的输出设备

- 音量：调节当前的输出音量，通过移动滑动条来控制系统输出音量大小

- 声道平衡：调节输出音量的左右声道

- 选择输入设备：输入设备是获取声卡选择的输入配置文件生成的，可以点击下拉框查看当前系统可用的输入设备，可根据需要切换的对应的输入设备（输入设备主要用来录音视频以及通话）

- 音量大小：调节当前的输入音量，通过移动滑动条来控制系统输入音量大小

- 输入反馈：检测当前输入设备的输入等级（检测到有可用的输入设备时开始检测输入等级）

- 开关机音乐：控制系统开关机时是否播放开关机音乐

- 提示音：系统收到通知或改变音量的提示音

- 音效主题：系统的声音主题

- 音量调节：调节音量时播放的提示音类型

- 通知：系统收到通知时播放的提示音类型

### 电 源

可进行通用功能设置，电源计划和电池节能计划设置（机器存在电池的情况下）

![图 4 系统电源设置-big](image/power.png)

- 在通用设置中，可以对系统唤醒功能进行设置，以及设置系统进入睡眠等操作的时间

- 在电源计划中，选择不同的模式对应不同的系统性能消耗

- 在电池节能计划中，通过选择对应的选项达到电池节能效果

### 通 知

可通过开关的开启/关闭，选择是否获取来自对应应用的通知

![图 5 通知-big](image/notice.png)

### 远程桌面
勾选“允许其他人远程连接您的桌面”后，可设置访问时需要确认，或者要求输入指定密码。

![图 6 远程桌面-big](image/vino.png)

### 关 于

显示本机系统的版本、设备规格、用户部分信息、授权激活信息以及隐私协议相关信息

![图 7 系统信息-big](image/about.png)

<br>


## 设 备

设备设置提供了打印机、鼠标、键盘、快捷键四个设置模块。

### 打印机

打印机功能提供了打印机程序入口

![图 9 打印机-big](image/printer.png)

### 鼠 标

为满足您对鼠标使用习惯的个性化需求，可在“鼠标”配置中，可进行鼠标、指针、光标的个性化设置。

1）鼠标键设置：

- 鼠标主按钮设置（左键/右键）

- 鼠标滚轮速度

- 鼠标双击间隔时长

2）指针设置：

- 速度设置

- 鼠标加速

- 按Ctrl键显示指针位置

- 指针大小设置（小，中，大）

3）光标设置：

- 启用文本区域的光标闪烁

- 光标速度设置

![图 10 鼠标设备-big](image/mouse.png)

### 键 盘

您可在“键盘”配置中，进行键盘响应速度、键盘布局、添加输入法等相关配置。

![图 12 键盘设备-big](image/keyboard.png)

1）通用设置：

- 可设置启用按键重复设置：按下某个按键不放，系统会将该行为作为重复的键盘输入。启用按键重复设置后，可对延时、速度两个选项进行设置。

- 可设置延迟：按下按键后，到系统开始接收键盘输入之间的间隔

- 可设置速度：按下按键后，重复输入之间的间隔；间隔越长，同样时间内，重复输入的次数越少

- 可设置启用按键提示：大小写切换提示。

2）输入法设置：

- 输入法语言、国家设置

- 全局配置

### 快捷键

您可在该配置中查看系统快捷键，添加自定义快捷键等相关配置。

快捷键根据系统版本有所调整。

![图 13-1 快捷键-big](image/shortcut.png)



![图 13-2 添加快捷键](image/add-shortcut.png)

<br>

## 网 络

网络主要包含了有线网络、无线局域网、VPN、代理、移动热点。

### 有线网络

提供有线网络的显示、连接或断开，可以分别对单张有线网卡进行开关管理。

![图 16 有线网络-big](image/netconnect.png)

### 无线局域网

提供无线网络的显示、连接或断开，可以对无线功能进行开关管理。

![图 17 无线网络-big](image/wlanconnect.png)

### 代理

可设置系统代理以及APT代理

![图 18 代理-big](image/delegate.png)

- 系统代理可选择自动代理和手动代理，手动代理包括HTTP，HTTPS，SOCKET，FTP代理
- 开启APT代理，通过设置的代理服务器可在软件商店进行应用程序的下载和更新

### VPN

打开外部VPN设置程序

![图 19 VPN-big](image/vpn.png)
<br>


## 个性化

个性化设置提供了背景、主题、锁屏、字体、屏保五个模块。



### 背 景

针对桌面背景，提供两种背景形式的选择：颜色、图片。

![图 21 背景-big](image/background.png)

### 主 题

主题包括主题模式、图标主题、光标主题。

- 主题模式：

![图 22-1 主题模式](image/theme.png)

- 图标主题和光标主题：

![图 22-2 图标&光标主题](image/theme-cursor.png)

- 透明度和特效模式（部分机型不支持）：

![图 22-3 特效模式](image/theme-effect.png)

### 锁 屏

选择在登录界面显示的背景图片。

![图 23 锁屏设置-big](image/screenlock.png)

### 屏 保

设置屏保程序、等待时间。

![图 24 屏保设置-big](image/screensaver.png)

### 字 体

对字体、大小、等宽进行常规设置。

点击“恢复默认设置”按钮将所有字体设置还原为系统默认状态。

![图 25 字体设置-big](image/font.png)

<br>

## 帐 户

### 帐户信息

对系统用户进行管理配置，允许管理员创建用户、删除用户、修改用户信息。

![图 26-1 帐户信息设置-big](image/account.png)

#### 更改用户头像

点击用户头像，即可进行修改，图片可从本机图片中选择。

![图 26-2 更改用户头像](image/account-face.png)

#### 更改密码

点击“修改密码”，即可修改当前用户的密码。

![图 26-3 更改密码](image/account-pwd.png)

#### 更改帐户类型

系统用户类型分两种：标准用户和管理员用户。

- 管理员用户：输入用户密码，可以临时提升root权限

- 标准用户：无法提升权限

Tips：系统至少需要存在一个管理员用户。

![图 26-4 更改用户类型](image/account-type.png)

#### 其他用户

可编辑其他用户信息，添加新用户，删除用户等。

- 添加新用户：输入用户名、密码，并选择用户类型，如图所示

- 密码复杂度要求(可通过安全中心自定义密码强度)：

1. 用户密码不可包含非法字符（“'”与非标准字符）；
2. 密码最小长度 8；
3. 密码最少包含两类字符；
4. 密码禁止包含用户名；
5. 密码禁止使用回文；
6. 启用密码相似性检查(修改密码时检测)；
7. 启用密码字典；
8. 密码有效期无限制；

![图 26-5 添加新用户](image/account-add.png)

- 编辑用户

![图 26-6 编辑用户](image/account-edit.png)

<br>


## 时间语言

包括时间日期和区域语言

### 时间和日期

![图 29-1 时间和日期-big](image/datetime.png)

- 自动同步时间：与互联网上的NTP服务器时间同步

- 手动设置时间：手动设置时间和年月日

![图 29-2 手动更改时间](image/datetime-change.png)

- 时间格式分12小时和24小时，点击右侧开关立即生效

- 更改时区：如图所示，根据个人需求进行选择

![图 29-3 时区-big](image/datetime-zone.png)

### 区域语言

主界面如图所示:

![图 30-1 区域语言-big](image/area.png)

- 语言格式：自定义日历、一周第一天、日期、时间

- 系统语言：系统窗口、菜单及网页的显示语言，首选推荐语言为简体中文

- 点击“添加”，可添加其他地区语言作为备选

<br>


## 应用

应用包括默认应用和开机启动

### 开机启动
列表中显示当前系统已存在的开机启动软件。

![图 34-1 开机启动-big](image/autoboot.png)

点击“添加”，可添加开机启动应用。

![图 34-2 开机启动添加](image/add-autoboot.png)

1）填写“程序名”；

2）填写“程序路径”，或者通过点击“浏览”按钮，在弹出的文件选择界面，选择以desktop为后缀的文件；

3）“程序描述”作为可选项，可填可不填；

4）点击“确定”按钮，新的启动项被创建并显示在列表中。

### 默认应用
默认应用可以修改图中几种类型的默认打开应用：

![图 35 默认应用-big](image/default.png)

<br>


## 搜索

### 全局搜索

通过设置提高搜索效率。
![图 36 搜索-big](image/search.png)
<br>


## 常见问题
#### 点击开始菜单上的设置按钮，无反应
在键盘上按下 Ctrl + Alt + T 组合键打开命令行终端，输入“ukui-control-center”后按下Enter，查看错误输出。

#### 修改控件状态后，控件立刻还原到修改前状态
大概率是因为权限问题。

在键盘上按下 Ctrl + Alt + T 组合键打开命令行终端，输入“rm ~/.config/dconf/user”后按下Enter。
